Bug 136594 - Error messages related to SELINUX appear with yum update.
Error messages related to SELINUX appear with yum update.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 00:11 EDT by Alan Aspuru-Guzik
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-31 17:42:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Aspuru-Guzik 2004-10-21 00:11:45 EDT
Description of problem:
Since I upgraded my FC2 to FC3T3 in x86_64, I get the following errors
every time I Do a 'yum update':
f = io.open("/etc/selinux/config")
if f then
  for l in f:lines() do
    if "SELINUXTYPE=" == string.sub(l,0,12) then t=string.sub(l,13); end
  end
  f:close()
end
print (t)
}t="targeted"
f = io.open("/etc/selinux/config")
if f then
  for l in f:lines() do
    if "SELINUXTYPE=" == string.sub(l,0,12) then t=string.sub(l,13); end
  end
  f:close()
end
print (t)
}: No such file or directory



Version-Release number of selected component (if applicable):
rpm: rpm-4.3.2-13
yum:  yum-2.1.10-1.noarch.rpm

How reproducible:
All the time.

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:

Output of the following info:

f = io.open("/etc/selinux/config")
if f then
  for l in f:lines() do
    if "SELINUXTYPE=" == string.sub(l,0,12) then t=string.sub(l,13); end
  end
  f:close()
end
print (t)
}t="targeted"
f = io.open("/etc/selinux/config")
if f then
  for l in f:lines() do
    if "SELINUXTYPE=" == string.sub(l,0,12) then t=string.sub(l,13); end
  end
  f:close()
end
print (t)
}: No such file or directory

Expected results:

No message. 

Additional info:
Comment 1 Jeff Johnson 2004-10-21 08:02:13 EDT
Try installing the selinux-policy-targeted package.
Comment 2 P Jones 2004-10-31 01:28:29 EST
I get the same thing and said package is installed. 
I run "rpm -Vf /etc/selinux/targeted/booleans" and get the recursion
error message (it's rpm, not just yum) and this:
..?.....  c /etc/selinux/targeted/booleans

Just to be safe, I ran:
rpm -e selinux-policy-targeted ; yum install selinux-policy-targeted
and I got this:
Setting up Install Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 952 kB    00:06
MD Read   : ################################################## 3426/3426
developmen: ################################################## 3426/3426
Traceback (most recent call last):
  File "/usr/bin/yum", line 8, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 68, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 374, in doCommands
    return self.installPkgs()
  File "/usr/share/yum-cli/cli.py", line 734, in installPkgs
    pkglist = returnBestPackages(toBeInstalled)
  File "/usr/lib/python2.3/site-packages/yum/packages.py", line 123,
in returnBestPackages
    elif rpmUtils.arch.isMultiLibArch(arch=a):
  File "/usr/lib/python2.3/site-packages/rpmUtils/arch.py", line 69,
in isMultiLibArch
    if multilibArches.has_key(arches[arch]):
KeyError: 'noarch'


...at which time I started banging my head into a desk.
After doing yum's job with w3m+rpm, I was back to where I was at the
beginning of this note.
Comment 3 P Jones 2004-10-31 01:30:15 EST
I'm sorry, I ment to say
rpm -V selinux-policy-targeted
instead of 
rpm -Vf /etc/selinux/targeted/booleans

It doesn't make a diffrence tho

Comment 4 Jeff Johnson 2004-10-31 13:37:08 EST
I suspect that you have librpm4.3 from the AT distro installed.
Is that the case? That library does not have support for lua,
same issue as bugzilla #137411.
Comment 5 Alan Aspuru-Guzik 2004-10-31 16:21:56 EST
[aspuru@akelarre RPM]$ sudo rpm -qa | grep librpm
librpm4.3-4.3.1-0.3_27.rhfc2.at

This is indeed correct.
Reinstalling rpm-devel and librpm from rawhide fixed the problems for me.
Comment 6 Jeff Johnson 2004-10-31 17:42:48 EST
Good.

Note You need to log in before you can comment on or make changes to this bug.